<?php 
 if (!empty($_POST["email"]) && !empty($_POST["date"]) && !empty($_POST["brutto"])) {

 	preg_match("/^[_a-zA-Z.]+[0-9a-zA-Z_.]*@[_a-zA-Z]+\.[_a-zA-Z.]+$/", $_POST["email"], $email);
 	$email = $email[0];
 	preg_match("/^[0-9]{4,4}-[0-9]{2,2}-[0-9]{2,2}/", $_POST["date"], $date);
 	$date = $date[0];

 	if (!empty($_POST["tax"])) {
 		preg_match("/\d{1,2}/", $_POST["tax"], $tax);
 		$tax = $tax[0];
 	}

 	 preg_match("/\d+/", $_POST["brutto"], $brutto);
 	 $brutto = $brutto[0];

 	 if (!empty($tax)) {
 	 	$taxValue = ($brutto/(100 + $tax)) * $tax;
 	 	$netto = $brutto - $taxValue; 
 	 } else {
 	 	$netto = $brutto;
 	 	unset($brutto);
 	 	$taxValue = "NULL";
 	 }
 	
 	 $dsn = 'mysql:dbname=test;host=127.0.0.1';
 	 $user = 'test';
 	 $password = 'test';
 	 
 	 try {
 	 	$connection = new PDO($dsn, $user, $password);
 	 } catch (PDOException $e) {
 	 	echo $e;
 	 }

 	 $sql = "INSERT INTO `payment` (`id`, `email`, `paymentDate`, `paymentBrutto`, `paymentNetto`, `taxPercent`, `taxValue`) VALUES (NULL, :email, :date, :brutto, $netto, :tax, $taxValue)";
 	 $prepare = $connection->prepare($sql);
     $prepare->bindValue(":email", $email, PDO::PARAM_STR);
 	 $prepare->bindValue(":date", $date, PDO::PARAM_STR);
 	 isset($brutto) ? $prepare->bindValue(":brutto", $brutto, PDO::PARAM_INT) : $prepare->bindValue(":brutto", null, PDO::PARAM_STR);
 	 !empty($tax) ? $prepare->bindValue(":tax", $tax, PDO::PARAM_INT) : $prepare->bindValue(":tax", null, PDO::PARAM_INT);
 	
 	 $prepare->execute();

 	 if ($prepare->rowCount() != 0 ) {
 	 	echo "Successfully Saved";
 	 } else {
 	 	header("HTTP/1.1 500 Internal Server Error");
 	 	echo "Error";
 	 }
 }
?>

